/*
    Pezzonoid - An implementation of the classic Arkanoid using the Allegro
    library (version 4) and the Allegro Wrapper
    Copyright (C) 2013, Fabio Pezzo

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BAR_H
#define BAR_H

#include "Allegro.h"
#include <iostream>
class Arkanoid;

class Bar : public Sprite
{
  private:
  int x;
  int y;

  public:
  Bar();
  ~Bar();


  virtual void onTick();
  virtual Drawable* clone() const { return new Bar(*this); }


};

#endif
